<?php

//En linux 
$salto_linea = "\n"; //variable global para manejo del salto de linea
//En windows 
$salto_linea = "\r\n"; //variable global para manejo del salto de linea
//titulo
$titulo = "Consolidado Anual Archivo Plano";

//SGC-1, ANM-2, SGR-3, CYC-4, COL-5, INCI-6, LOCAL-7 - 20191216
$entidad_cliente = sfConfig::get('app_entidad_cliente');

/*
 * Array de cabecera archivo
 */
$array_head = array(
    "nit",
    "idafi",
    "tipdoc",
    "papelli",
    "sapelli",
    "nombre",
    "coddep",
    "codmun",
    "sueldo",
    "salbase",
    "valapo",
    "anorep",
    "mesrep",
    "fechaing",
    "fechater",
//    "mesing",
//    "s14",
//    "diaing",
//    "s15",
//    "anoing",
//    "mesret",
//    "s17",
//    "diaret",
//    "s18",
//    "anoret",
    "estado",
    "consol",
    "aplica",
    "ajuste",
    "signoaju",
    "codcobis"
);


/*
 * CSV
 */
if ($type == "csv") {

    $shtml = '';

    $scarpeta = "uploads"; //carpeta donde guardar el archivo.

    $sfile = $scarpeta . "/tmp/ConsolAnualFNA_" . date("d") . date("m") . date("Y") . ".txt"; //ruta del archivo a generar
    $fp = fopen($sfile, "w");
    $sep = ","; //variable global para manejo del separador - se obtiene de variables del modulo en la configuracion en app.yml
//    $shtml = $sep . "\n";
//    $shtml.= $sep . $titulo . $sep . "\n";
//    $shtml.= $sep . "\n";

    /*
     * imprimir cabecera
     */
    foreach ($array_head as $key => $value) {
//        $shtml.= $value . $sep;
    }
    //salto de linea para separar totales
//    $shtml.= $salto_linea;

    /*
     * recorrer arreglo de datos y convertir en csv
     */
    $i = 0;
    $j = 0;
    foreach ($list_data as $rec) {
//        $shtml.='"';
        foreach ($rec as $key => $value) {
            if ($j != 0) {
                if ($value != '/') {
                    $shtml .= $sep;
                }
            }
            $shtml .= $value;
            $j++;
        }
//        $shtml.='"';
//        $this->logMessage("Linea: " . $i++);
        //salto de linea para separar totales
        $shtml .= $sep;
        $shtml .= $salto_linea;
        $j = 0;
    }

    /*
     * guardar y cerrar archivo
     */
//    $shtml.= $salto_linea;
    fwrite($fp, $shtml);
    fclose($fp);

    /*
     * salida csv
     */
    if ($entidad_cliente == 9) {
        echo "<script>
    window.location='" . "/nomina_pub/web/" . $sfile . "'</script>";
    } else {
        echo "<script>
    window.location='" . "/nomina/web/" . $sfile . "'</script>";
    }
    die();
}//fin CSV

/*
 * Error
 */
echo "Ocurrio algun problema: " . $type;
?>

